Cyg32 on Win64 fails with stack-protector

Ben RUBSON ben.rubson@gmail.com
Wed Jun 20 16:42:00 GMT 2018


Bill, Corinna, Jony, thank you very much for your answers and details on  
this topic.
And sorry for my late answer, I was totally stuck on some critical subjects  
last days...

On 01 Jun 2018 12:49, JonY wrote:

> On 06/01/2018 10:06 AM, Corinna Vinschen wrote:
>>>>> There appear to be some SSP related commits in the discussed time  
>>>>> frame.
>>>>> For example:
>>>>>
>>>>> https://sourceware.org/git/?p=newlib-cygwin.git;a=commitdiff;h=0a5dfdbd1ba3
>>>>> 663a54fa1a7de1a6c4a0a3316a6e
>>>>>
>>>>> Another possibility would be a change in the gcc default options  
>>>>> between
>>>>> Cygwin 2.9 and Cygwin 2.10. I do not know if this is possible, but  
>>>>> perhaps
>>>>> gcc in 2.9 compiles with -fstack-protector disabled by default and  
>>>>> gcc in
>>>>> 2.10 compiles with it enabled by default?
>
> libssp in gcc was disabled in favor of newlib's, not sure if that has
> something to do with it too.

Jony, do you mean that compilation options have changed, which could lead  
to our issue ?
Would you manage to find out which change provided this ?
By any chance, between 2017-11-14 and 2017-12-01 ?

Thank you again,

Best regards,

Ben



More information about the Cygwin-developers mailing list